from django.db import models
from patient.models import *
# Create your models here.

class LabTest(models.Model):

    id = models.AutoField(primary_key=True)
    pid = models.ForeignKey('patient.Patient', models.DO_NOTHING, db_column='PID', blank=True, null=False)  # Field name made lowercase.
    date = models.CharField(max_length=50, db_column='Date', blank=True, null=False)  # Field name made lowercase.
    # date = models.DateField(auto_now=False, auto_now_add=True)
    test = models.TextField(db_column='Test',blank=True,null=False)# Field name made lowercase. This field type is a guess.

    class Meta:
        db_table = 'LabTest'
        # unique_together = (('pid', 'date','test'),)

